<div align = "center"><strong><font size=10>文件存储服务(FSS)接口</font></strong></div>



[TOC]

# 1. 获取token

## 1.1 接口定义

- 接口地址：/file-service/token/get

- 请求类型：POST
- content-type：application/json

## 1.2 请求参数

- 参数说明

  | 字段      | 名称    | 类型   | 上级 | 必填 | 备注                       |
  | --------- | ------- | ------ | ---- | ---- | -------------------------- |
  | accessKey | 访问key | String |      | Y    | 根据不同应用向数据中台申请 |
  | secretKey | 密码key | String |      | Y    | 根据不同应用向数据中台申请 |

- 格式示例

  ```json
  {
      "accessKey":"dzQ0L4VF",
      "secretKey":"820B522EE587883A9F4EDDA6F250D74D",
  }
  ```

## 1.3 返回参数

- 参数说明

  | 字段    | 名称         | 类型   | 上级 | 必填 | 备注                         |
  | ------- | ------------ | ------ | ---- | ---- | ---------------------------- |
  | result  | 接口执行结果 | String |      | Y    | success成功<br />failure失败 |
  | message | 接口结果信息 | String |      | N    |                              |
  | data    | 数据内容     | Object |      | Y    |                              |
  | token   | 令牌         | String | data | Y    |                              |

- 格式示例

  ```json
  {
  	"result": "success",
  	"data": {
  		"token": "0002dzQ0L4VF:eyJidWNrZXROYW1lIjoibGFic2wtY29yZS1wdWJsaWMtYnVja2V0IiwiZXhwaXJlcyI6MTYyNTEyNTI0NSw" 
  	},
      "message": "成功"
  }
  ```

# 2. 上传文件

## 2.1 接口定义

- 接口地址：/file-service/file/upload
- 请求类型：POST
- content-type：multipart/form-data
- ==http-header：==
  - ==token，从1. 获取token接口获得，默认1分钟失效==

## 2.2 请求参数

- 参数说明

  | 字段      | 名称         | 类型   | 上级 | 必填 | 备注             |
  | --------- | ------------ | ------ | ---- | ---- | ---------------- |
  | file      | 上传文件     | File   |      | Y    |                  |
  | fileName  | 上传文件名称 | String |      | Y    | 带后缀（扩展名） |
  | appId     | 应用编码     | String |      | Y    | 数据中台统一参数 |
  | userId    | 用户编码     | String |      | Y    | 数据中台统一参数 |
  | groupCode | 集团编码     | String |      | Y    | 数据中台统一参数 |
  | projectId | 项目编码     | String |      | N    | 数据中台统一参数 |

## 2.3 返回参数

- 参数说明

  | 字段       | 名称         | 类型   | 上级 | 必填 | 备注                         |
  | ---------- | ------------ | ------ | ---- | ---- | ---------------------------- |
  | result     | 接口执行结果 | String |      | Y    | success成功<br />failure失败 |
  | message    | 接口结果信息 | String |      | N    |                              |
  | data       | 数据内容     | Object |      | Y    |                              |
  | resourceId | 资源id       | String | data | Y    | uuid                         |

- 格式示例

  ```json
  {
  	"result": "success",
  	"data": {
  		"resourceId": "75ee7155-4f55-4a84-8e28-fb4edb3e8aa7"
  	},
      "message": "成功"
  }
  ```

# 3.  下载文件

## 2.1 接口定义

- 接口地址：/file-service/file/download
- 请求类型：GET/POST
- content-type：application/json
- ==http-header：==
  - ==token，从1. 获取token接口获得，默认1分钟失效==

## 2.2 请求参数

- 参数说明

  | 字段       | 名称   | 类型   | 上级             | 备注 |
  | ---------- | ------ | ------ | ---------------- | ---- |
  | resourceId | 资源id | String |                  |      |
  | appId      | 应用id | String | 数据中台统一参数 |      |


# 4. 获取删除文件

## 1.1 接口定义

- 接口地址：/file-service/file/delete
- 请求类型：GET/POST
- content-type：application/json
- ==http-header：==
  - ==token，从1. 获取token接口获得，默认1分钟失效==

## 1.2 请求参数

- 参数说明

  | 字段       | 名称   | 类型   | 上级 | 必填 | 备注                       |
  | ---------- | ------ | ------ | ---- | ---- | -------------------------- |
  | resourceId | 资源id | String |      | Y    | 上传文件时服务返回的资源id |
  | appId      | 应用id | String |      | Y    | 数据中台统一参数           |


## 1.3 返回参数

- 参数说明

  | 字段    | 名称         | 类型   | 上级 | 必填 | 备注                         |
  | ------- | ------------ | ------ | ---- | ---- | ---------------------------- |
  | result  | 接口执行结果 | String |      | Y    | success成功<br />failure失败 |
  | message | 接口结果信息 | String |      | N    |                              |
  | data    | 数据内容     | Object |      | Y    | 空对象                       |

- 格式示例

  ```json
  {
  	"result": "success",
  	"data": {
  	},
      "message": "成功"
  }
  ```

# 