package com.persagy.dmp.fss;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import java.io.PrintWriter;
import java.io.StringWriter;

@SpringBootApplication
@EnableDiscoveryClient
public class FSSApp {

    public static void main(String[] args) {
        SpringApplication.run(FSSApp.class, args);
    }

    public static String getExceptionStackTrace(Exception e) {
        String result;
        StringWriter sw = null;
        PrintWriter pw = null;
        try {
            sw = new StringWriter();
            pw = new PrintWriter(sw);
            e.printStackTrace(pw);
            pw.flush();
            sw.flush();
            result = sw.toString();
        } catch (Exception ex) {
            result = "bad getErrorInfoFromException";
        } finally {
            if (pw != null) {
                pw.close();
            }
            if (sw != null) {
                try {
                    sw.close();
                } catch (Exception ei) {
                    // TODO Auto-generated catch block
                }
            }
        }
        return result;
    }
}
