package com.persagy.dmp.fss.common.config;

import com.persagy.common.criteria.CriteriaUtils;
import com.persagy.common.criteria.JpaUtils;
import com.persagy.dmp.common.SpringUtils;
import com.persagy.dmp.common.http.HttpUtils;
import com.querydsl.jpa.impl.JPAQueryFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.persistence.EntityManager;

@Configuration
public class DMPConfig {

    @Bean
    public JPAQueryFactory jpaQueryFactory(EntityManager entityManager) {
        return new JPAQueryFactory(entityManager);
    }

    @Bean
    public CriteriaUtils criteriaUtils(@Autowired JPAQueryFactory jpaQueryFactory) {
        return new CriteriaUtils(jpaQueryFactory);
    }

    @Bean
    public JpaUtils jpaUtils(@Autowired EntityManager entityManager) {
        return new JpaUtils(entityManager);
    }

    @Bean
    public HttpUtils httpUtils() {
        return new HttpUtils();
    }

    @Bean
    public SpringUtils springUtils() {
        return new SpringUtils();
    }
}
