package com.persagy.dmp.fss.file.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.fss.file.model.FileAuthorizationModel;
import com.persagy.dmp.fss.file.service.FileAuthorizationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
@RestController
@RequestMapping("/file/authorization")
public class FileAuthorizationController {
	@Autowired
	private FileAuthorizationService service;
	
	@PostMapping("/query")
	public PagedResponse<FileAuthorizationModel> query(@RequestBody JacksonCriteria criteria) {
		return service.query(criteria);
	}
	
	@PostMapping("/create")
	public MapResponse create(@RequestBody FileAuthorizationModel param){
		return service.create(param);
	}
	
	@PostMapping("/update")
	public MapResponse update(@RequestBody FileAuthorizationModel param){
		return service.update(param);
	}
	
	@PostMapping("/delete")
	public MapResponse delete(@RequestBody FileAuthorizationModel param){
		return service.delete(param);
	}
	
}
