package com.persagy.dmp.fss.file.entity;

import com.persagy.dmp.fss.file.model.FileAuthorizationModel;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Setter
@Getter
@Entity
@Table(name = "file_authorization")
public class FileAuthorization {

	@Id
	@GeneratedValue(generator = "assignedId")
	@GenericGenerator(name = "assignedId", strategy = "assigned")
	private String appId;
	private String accessKey;
	private String secretKey;

	public static FileAuthorization fromModel(FileAuthorizationModel model) {
		FileAuthorization entity = new FileAuthorization();
		entity.setAppId(model.getAppId());
		entity.setAccessKey(model.getAccessKey());
		entity.setSecretKey(model.getSecretKey());
		return entity;
	}

	public FileAuthorizationModel toModel() {
		FileAuthorizationModel model = new FileAuthorizationModel();
		model.setAppId(this.appId);
		model.setAccessKey(this.getAccessKey());
		model.setSecretKey(this.getSecretKey());
		return model;
	}

}
