package com.persagy.dmp.fss.file.entity;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.fss.file.model.FileResourceModel;
import com.vladmihalcea.hibernate.type.json.JsonStringType;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Type;
import org.hibernate.annotations.TypeDef;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Setter
@Getter
@Entity
@Table(name = "file_resource")
@TypeDef(name = "json", typeClass = JsonStringType.class)
public class FileResource {

	@Id
	@GeneratedValue(generator = "assignedId")
	@GenericGenerator(name = "assignedId", strategy = "assigned")
	private String id;
	private String fileName;
	private String appId;
	private String groupCode;
	private String projectId;
	@Type(type = "json")
	private ObjectNode extension;

	public static FileResource fromModel(FileResourceModel model) {
		FileResource entity = new FileResource();
		entity.setId(model.getId());
		entity.setFileName(model.getFileName());
		entity.setAppId(model.getAppId());
		entity.setGroupCode(model.getGroupCode());
		entity.setProjectId(model.getProjectId());
		entity.setExtension(model.getExtension());
		return entity;
	}

	public FileResourceModel toModel() {
		FileResourceModel model = new FileResourceModel();
		model.setId(this.id);
		model.setFileName(this.getFileName());
		model.setAppId(this.getAppId());
		model.setGroupCode(this.getGroupCode());
		model.setProjectId(this.getProjectId());
		model.setExtension(this.getExtension());
		return model;
	}

}
