package com.persagy.dmp.fss.file.service;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.common.criteria.CriteriaUtils;
import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.fss.file.entity.FileAuthorization;
import com.persagy.dmp.fss.file.entity.QFileAuthorization;
import com.persagy.dmp.fss.file.model.FileAuthorizationModel;
import com.persagy.dmp.fss.file.repository.FileAuthorizationRepository;
import com.querydsl.core.types.dsl.BooleanExpression;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class FileAuthorizationService {

	@Autowired
	private FileAuthorizationRepository fileAuthorizationRepository;

	@Autowired
	private CriteriaUtils criteriaUtils;

	private List<BooleanExpression> parse(ObjectNode criteria) {
		// TODO
		return null;
	}

	public PagedResponse<FileAuthorizationModel> query(JacksonCriteria criteria) {
		PagedResponse<FileAuthorization> resp = criteriaUtils.query(QFileAuthorization.fileAuthorization, this::parse, criteria);
		PagedResponse<FileAuthorizationModel> result = new PagedResponse<>();
		result.setCount(resp.getCount());
		List<FileAuthorization> dataList = resp.getData();
		if (dataList != null && dataList.size() > 0) {
			List<FileAuthorizationModel> collect = dataList.stream().map(entity -> {
				FileAuthorizationModel model = entity.toModel();
				return model;
			}).collect(Collectors.toList());
			result.setData(collect);
		}
		return result;
	}

	@Transactional
	public MapResponse create(FileAuthorizationModel param) {
		MapResponse response = new MapResponse();
		// TODO
		FileAuthorization entity = FileAuthorization.fromModel(param);
		fileAuthorizationRepository.save(entity);
		response.add("appId", entity.getAppId());
		return response;
	}

	@Transactional
	public MapResponse update(FileAuthorizationModel param) {
		MapResponse response = new MapResponse();
		// TODO
		FileAuthorization entity = FileAuthorization.fromModel(param);
		fileAuthorizationRepository.save(entity);
		response.add("appId", entity.getAppId());
		return response;
	}

	@Transactional
	public MapResponse delete(FileAuthorizationModel param) {
		MapResponse response = new MapResponse();
		// TODO
		fileAuthorizationRepository.deleteById(param.getAppId());
		return response;
	}
}

