package com.persagy.dmp.fss.file.service;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.common.criteria.CriteriaUtils;
import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.fss.file.entity.FileResource;
import com.persagy.dmp.fss.file.entity.QFileResource;
import com.persagy.dmp.fss.file.model.FileResourceModel;
import com.persagy.dmp.fss.file.repository.FileResourceRepository;
import com.querydsl.core.types.dsl.BooleanExpression;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class FileResourceService {

	@Autowired
	private FileResourceRepository fileResourceRepository;

	@Autowired
	private CriteriaUtils criteriaUtils;

	private List<BooleanExpression> parse(ObjectNode criteria) {
		// TODO
		return null;
	}

	public PagedResponse<FileResourceModel> query(JacksonCriteria criteria) {
		PagedResponse<FileResource> resp = criteriaUtils.query(QFileResource.fileResource, this::parse, criteria);
		PagedResponse<FileResourceModel> result = new PagedResponse<>();
		result.setCount(resp.getCount());
		List<FileResource> dataList = resp.getData();
		if (dataList != null && dataList.size() > 0) {
			List<FileResourceModel> collect = dataList.stream().map(entity -> {
				FileResourceModel model = entity.toModel();
				return model;
			}).collect(Collectors.toList());
			result.setData(collect);
		}
		return result;
	}

	@Transactional
	public MapResponse create(FileResourceModel param) {
		MapResponse response = new MapResponse();
		// TODO
		FileResource entity = FileResource.fromModel(param);
		fileResourceRepository.save(entity);
		response.add("id", entity.getId());
		return response;
	}

	@Transactional
	public MapResponse update(FileResourceModel param) {
		MapResponse response = new MapResponse();
		// TODO
		FileResource entity = FileResource.fromModel(param);
		fileResourceRepository.save(entity);
		response.add("id", entity.getId());
		return response;
	}

	@Transactional
	public MapResponse delete(FileResourceModel param) {
		MapResponse response = new MapResponse();
		// TODO
		fileResourceRepository.deleteById(param.getId());
		return response;
	}

	@Transactional
	public FileResource getFileResource(String resourceId) {
		return fileResourceRepository.getOne(resourceId);
	}
}

